<?php defined('C5_EXECUTE') or die("Access Denied.");
use \Concrete\Core\File\File;
use \Concrete\Core\Page\Page;
$c = Page::getCurrentPage();	
$linkURL = $controller->getLinkURL(); 
$img = File::getByID($fID);?>
<?php if ($c->isEditMode()) { ?>
<!-- Preview Exit Popup while in edit mode -->
<style>
	.exit-intent-preview-<?php echo $bID ?> { display: block; width: 100%; }
	.exit-intent-preview-<?php echo $bID ?> .edit-mode-notes { display: block; background: #F7D358; padding: 10px; border: 3px solid #DF3A01; color: #222; font-size: 20px; font-weight: 600; line-height: 125%; text-align: center; margin-bottom: 6px; }
	.exit-intent-preview-<?php echo $bID ?> .edit-mode-notes small { color: #ff0000; font-size: 12px; }
	.exit-intent-preview-<?php echo $bID ?> .exit-intent-preview-content { width: 100%; padding: 10px; border: <?php echo $bwidth."px ".$bstyle." ".$bColor ?>;}
</style>
<div class="exit-intent-preview-<?php echo $bID ?>">
	<div class="edit-mode-notes">
		<?php echo t('Exit Intent Content Preview') ?><br /><small><?php echo t('TIP: Place this block within a global area to make it active on all pages.')?></small>
	</div>
	<div class="exit-intent-preview-content">
	<?php if($contentType=="basic"){ echo $exitpopcontent; }
	elseif($contentType=="img"){ ?>
		<a href="<?php if(($linkURL=="http://")||($linkURL=="")){ echo "#"; } else { echo $linkURL; } ?>" target="_<?php echo $ltarget ?>">
		<?php if(isset($img) && is_object($img)){ ?>
		<img src="<?php echo $img->getURL();?>" alt="<?php echo $img->getTitle(); ?>" id="exitintent-<?php echo $bID;?>" style="width: 100%; height: auto;" />
		<?php } else { echo t('No image selected.'); } ?>
		<?php if($linkURL!=""){ ?></a><?php } ?>
	<?php } elseif($contentType=="stack"){ 
		if ($controller->stID) {
			$stack = Stack::getByName($controller->stID);
			if(is_object($stack)) {
				$stack = $stack->display();
			}  
		} else { echo $exitpopcontent; } 
	} else { ?>
	<div class="video-wrap">
	<?php if($vidtype=="vimeo"){ ?>
	<iframe src="//player.vimeo.com/video/<?php echo $vvidid ?>?autoplay=<?php echo $autoplay ?>" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
	<?php } else { ?>
	<iframe width="560" height="315" src="https://www.youtube.com/embed/<?php echo $ytvidid ?>" frameborder="0" allow="encrypted-media" allowfullscreen></iframe>
	<?php } ?>
	</div>
	<?php } ?>
	</div>
</div>
<?php } else { ?>
<style>
	#exitpop-<?php echo $bID ?> { width: <?php echo $popwidth ?>%; max-width: <?php echo $maxwidth ?>px; border: <?php echo $bwidth."px ".$bstyle." ".$bColor ?>;}
	#exitpop-<?php echo $bID ?> .exitpop-content { background: <?php echo $bgColor ?>; }
</style>
<div id="exitpop-<?php echo $bID ?>" class="ddexitpop">
	<div class="exitpop-content">
	<?php if($contentType=="basic"){ echo $exitpopcontent; }
	elseif($contentType=="img"){ ?>
		<a href="<?php if(($linkURL=="http://")||($linkURL=="")){ echo "#"; } else { echo $linkURL; } ?>" target="_<?php echo $ltarget ?>">
		<?php if(isset($img) && is_object($img)){ ?>
		<img src="<?php echo $img->getURL();?>" alt="<?php echo $img->getTitle(); ?>" id="exitintent-<?php echo $bID;?>" style="width: 100%; height: auto;" />
		<?php } else { echo t('No image selected.'); } ?>
		</a>
	<?php } elseif($contentType=="stack") { 
		if ($controller->stID) {
			$stack = Stack::getByName($controller->stID);
			if(is_object($stack)) {
				$stack = $stack->display();
			}  
		} else { echo $exitpopcontent; } 
	} else { ?>
	<div class="video-wrap">
	<?php if($vidtype=="vimeo"){ ?>
	<iframe src="//player.vimeo.com/video/<?php echo $vvidid ?>" frameborder="0" webkitallowfullscreen mozallowfullscreen allowfullscreen></iframe>
	<?php } else { ?>
	<iframe width="560" height="315" src="https://www.youtube.com/embed/<?php echo $ytvidid ?>" frameborder="0" allow="encrypted-media" allowfullscreen></iframe>
	<?php } ?>
	</div>
	<?php } ?>
	</div>
</div>
<script>
$(document).ready(function() {
	if (typeof ddexitpop != "undefined") {
	ddexitpop.init({
		contentsource: ['id', 'exitpop-<?php echo $bID ?>'], fxclass: '<?php echo $fxclass ?>', <?php if($displayfreq=="always"){?>hideaftershow: <?php echo $hideaftershow ?>, <?php } ?>displayfreq: '<?php echo $displayfreq ?>', 
		persistcookie: 'exitpop_cookie_<?php echo $bID ?>', delayregister: <?php echo $delayregister ?>, delayshow: <?php echo $delayshow ?>, mobileshowafter: <?php echo $mobileshowafter*1000 ?>
	});
	};
	<?php if($contentType=="video"){ ?>
	$(".veil").on('click', function (e) {
		$("#exitpop-<?php echo $bID ?> iframe").attr("src", $("#exitpop-<?php echo $bID ?> iframe").attr("src"));
	});<?php } ?>
});
</script>
<?php } ?>